<div class="wrap">
    <h1><?php _e('RSS抓取日志', 'jefrssfriend'); ?></h1>
    
    <!-- 清理日志按钮 -->
    <div class="tablenav top">
        <div class="alignleft actions">
            <form method="get" style="display: inline-block; margin-right: 10px;">
                <input type="hidden" name="page" value="jefrssfriend-logs">
                <select name="status">
                    <option value=""><?php _e('全部状态', 'jefrssfriend'); ?></option>
                    <option value="success" <?php selected($status, 'success'); ?>><?php _e('成功', 'jefrssfriend'); ?></option>
                    <option value="error" <?php selected($status, 'error'); ?>><?php _e('失败', 'jefrssfriend'); ?></option>
                </select>
                <input type="submit" class="button" value="<?php _e('筛选', 'jefrssfriend'); ?>">
            </form>
            
            <!-- 添加清理日志表单 -->
            <form method="post" action="" class="ajax-form" style="display: inline-block;">
                <?php wp_nonce_field('jefrssfriend_cleanup_logs', 'cleanup_logs_nonce'); ?>
                <input type="hidden" name="action" value="cleanup_logs">
                <select name="cleanup_days">
                    <option value="3"><?php _e('3天前', 'jefrssfriend'); ?></option>
                    <option value="7"><?php _e('7天前', 'jefrssfriend'); ?></option>
                    <option value="30"><?php _e('30天前', 'jefrssfriend'); ?></option>
                    <option value="90"><?php _e('90天前', 'jefrssfriend'); ?></option>
                    <option value="all"><?php _e('全部日志', 'jefrssfriend'); ?></option>
                </select>
                <button type="submit" class="button" data-confirm="<?php esc_attr_e('确定要清理选中的日志吗？此操作不可撤销。', 'jefrssfriend'); ?>">
                    <?php _e('清理日志', 'jefrssfriend'); ?>
                </button>
            </form>
            
            <!-- 添加修复时间按钮 -->
            <form method="post" action="" style="display: inline-block; margin-right: 10px;">
                <?php wp_nonce_field('fix_log_times', 'fix_times_nonce'); ?>
                <input type="hidden" name="action" value="fix_log_times">
                <button type="submit" class="button">
                    <?php _e('修复时间记录', 'jefrssfriend'); ?>
                </button>
            </form>
        </div>
    </div>
    
    <!-- 日志列表 -->
    <table class="wp-list-table widefat fixed striped">
        <thead>
            <tr>
                <th><?php _e('时间', 'jefrssfriend'); ?></th>
                <th><?php _e('类型', 'jefrssfriend'); ?></th>
                <th><?php _e('操作', 'jefrssfriend'); ?></th>
                <th><?php _e('站点', 'jefrssfriend'); ?></th>
                <th><?php _e('状态', 'jefrssfriend'); ?></th>
                <th><?php _e('详情', 'jefrssfriend'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($logs as $log): ?>
            <tr>
                <td><?php 
                    // 直接使用 WordPress 的日期本地化函数显示时间
                    echo mysql2date('Y-m-d H:i:s', $log->created_at, true);
                ?></td>
                <td><?php echo esc_html($this->get_type_label($log->type)); ?></td>
                <td><?php echo esc_html($this->get_action_label($log->action)); ?></td>
                <td>
                    <?php 
                    if ($log->type === 'cron') {
                        if ($log->action === 'start') {
                            // 调试输出
                            error_log('Start message: ' . $log->message);
                            // 修改正则表达式以匹配不同格式
                            if (preg_match('/共\s*(\d+)\s*个源/', $log->message, $matches) || 
                                preg_match('/开始定时刷新，共\s*(\d+)\s*个源/', $log->message, $matches)) {
                                echo isset($matches[1]) ? $matches[1] : '-';
                            } else {
                                echo '-';
                            }
                        } else if ($log->action === 'complete') {
                            // 调试输出
                            error_log('Complete message: ' . $log->message);
                            // 修改正则表达式以匹配不同格式
                            if (preg_match('/处理\s*(\d+)\s*个源/', $log->message, $matches) ||
                                preg_match('/定时刷新完成，处理\s*(\d+)\s*个源/', $log->message, $matches)) {
                                echo $matches[1];
                            } else {
                                echo '-';
                            }
                        }
                    } else if ($log->site_id) {
                        // 单个站点刷新时显示站点名称
                        global $wpdb;
                        $site_title = $wpdb->get_var($wpdb->prepare(
                            "SELECT title FROM {$wpdb->prefix}jefrss_sites WHERE id = %d",
                            $log->site_id
                        ));
                        echo esc_html($site_title ?: sprintf('站点 #%d', $log->site_id));
                    } else {
                        echo '-';
                    }
                    ?>
                </td>
                <td>
                    <span class="log-status <?php echo esc_attr($log->status); ?>">
                        <?php echo esc_html($this->get_status_label($log->status)); ?>
                    </span>
                </td>
                <td><?php echo esc_html($log->message); ?></td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    
    <!-- 分页 -->
    <div class="tablenav bottom">
        <?php echo $this->get_pagination_links(); ?>
    </div>
</div> 