<?php
if (!defined('ABSPATH')) exit;
?>

<div class="wrap">
    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>
    
    <?php
    // 添加通知显示代码
    settings_errors('jefrssfriend_messages');
    ?>
    
    <!-- 主设置表单 -->
    <form method="post" action="options.php">
        <?php
        settings_fields('jefrssfriend_options');
        do_settings_sections('jefrssfriend_settings');
        submit_button();
        ?>
    </form>
    
    <!-- 数据维护区块 -->
    <div class="card" style="max-width: 600px; margin-top: 20px;">
        <h2><?php _e('数据维护', 'jefrssfriend'); ?></h2>
        <p><?php _e('数据清理和刷新操作', 'jefrssfriend'); ?></p>
        
        <!-- 清理文章按钮组 -->
        <div class="cleanup-buttons" style="margin-bottom: 15px;">
            <!-- 清理全部文章 -->
            <form method="post" action="" class="ajax-form" style="display: inline-block; margin-right: 10px;">
                <?php wp_nonce_field('jefrssfriend_cleanup', 'cleanup_nonce'); ?>
                <input type="hidden" name="action" value="cleanup_articles">
                <button type="submit" class="button button-secondary" data-confirm="<?php esc_attr_e('确定要清理所有文章吗？此操作不可撤销。', 'jefrssfriend'); ?>">
                    <?php _e('清理全部文章', 'jefrssfriend'); ?>
                </button>
            </form>

            <!-- 清理旧文章 -->
            <form method="post" action="" class="ajax-form" style="display: inline-block;">
                <?php wp_nonce_field('jefrssfriend_cleanup_old', 'cleanup_old_nonce'); ?>
                <input type="hidden" name="action" value="cleanup_old_articles">
                <button type="submit" class="button button-secondary" data-confirm="<?php esc_attr_e('确定要清理旧文章吗？', 'jefrssfriend'); ?>">
                    <?php _e('清理旧文章', 'jefrssfriend'); ?>
                </button>
            </form>
        </div>

        <!-- JSON刷新按钮 -->
        <div class="json-refresh">
            <form method="post" action="" class="ajax-form">
                <?php wp_nonce_field('jefrssfriend_refresh_json', 'refresh_json_nonce'); ?>
                <input type="hidden" name="action" value="refresh_json">
                <button type="submit" class="button button-secondary">
                    <?php _e('立即刷新JSON', 'jefrssfriend'); ?>
                </button>
            </form>
        </div>
    </div>
</div>